import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import { ProgressButton } from './ProgressButton';

<Meta title="buttons/ProgressButton" component={ProgressButton} />

# ProgressButton
 
The basic layout for every route
    
<Preview>
  <Story name="default">
    <ProgressButton color="primary">
        Submit
    </ProgressButton>
  </Story>
  <Story name="loading">
    <ProgressButton color="primary" loading disabled>
        Submit
    </ProgressButton>
  </Story>
  <Story name="loading disabled">
    <ProgressButton variant="contained" color="primary" loading disabled>
        Submit
    </ProgressButton>
  </Story>
</Preview>